<?php
/**
 * Copyright © 2016 MageWorx. All rights reserved.
 * See LICENSE.txt for license details.
 */
?>

<?php /** @var \MageWorx\Downloads\Block\Catalog\Product\Attachments $block */?>
<ul>
<?php $attachments = $block->getAttachments();?>
<?php if ($attachments) :?>

    <?php if (!$block->isGroupBySection()): ?>
        <?php foreach ($attachments as $attachment): ?>
            <?php echo $block->getAttachmentHtml($attachment); ?>
        <?php endforeach; ?>
    <?php else: ?>  
         <?php $pseudoSections = $block->getGroupAttachments(); ?>
            <?php foreach ($pseudoSections as $pseudoSection): ?>
                <div class="section-title"><?php echo $block->escapeHtml($pseudoSection['title']); ?></div>
                <div class="section-files">
                    <?php foreach ($pseudoSection['attachments'] as $item): ?>
                        <?php echo $block->getAttachmentHtml($item); ?>
                    <?php endforeach; ?>
                </div>
            <?php endforeach; ?>
    <?php endif; ?> 
<?php else: ?>  
    <p class="not-ava-downld">Not Available!</p>
<?php endif; ?>
</ul>